From 00d17398c56c806ca333a546ea16c6d4311ecbf8 Mon Sep 17 00:00:00 2001
From: Balearica <admin@scribeocr.com>
Date: Fri, 19 Jan 2024 00:41:25 -0800
Subject: [PATCH] Updated references to examples

---
 .gitpod.yml                           | 2 +-
 README.md                             | 4 ++--
 examples/browser/basic-efficient.html | 4 +---
 3 files changed, 4 insertions(+), 6 deletions(-)

diff --git a/.gitpod.yml b/.gitpod.yml
index 8be27e26..ae74963f 100644
--- a/.gitpod.yml
+++ b/.gitpod.yml
@@ -1,7 +1,7 @@
 image:
   file: .gitpod.Dockerfile
 tasks:
-  - command: gp await-port 3000 && sleep 3 && gp preview $(gp url 3000)/examples/browser/demo.html
+  - command: gp await-port 3000 && sleep 3 && gp preview $(gp url 3000)/examples/browser/basic-efficient.html
   - init: npm install
     command: npm start
 ports:
diff --git a/README.md b/README.md
index 744775cc..e2352096 100644
--- a/README.md
+++ b/README.md
@@ -152,14 +152,14 @@ npm install
 npm start
 ```
 
-The development server will be available at http://localhost:3000/examples/browser/demo.html in your favorite browser.
+The development server will be available at http://localhost:3000/examples/browser/basic-efficient.html in your favorite browser.
 It will automatically rebuild `tesseract.min.js` and `worker.min.js` when you change files in the **src** folder.
 
 ### Online Setup with a single Click
 
 You can use Gitpod(A free online VS Code like IDE) for contributing. With a single click it will launch a ready to code workspace with the build & start scripts already in process and within a few seconds it will spin up the dev server so that you can start contributing straight away without wasting any time. 
 
-[![Open in Gitpod](https://gitpod.io/button/open-in-gitpod.svg)](https://gitpod.io/#https://github.com/naptha/tesseract.js/blob/master/examples/browser/demo.html)
+[![Open in Gitpod](https://gitpod.io/button/open-in-gitpod.svg)](https://gitpod.io/#https://github.com/naptha/tesseract.js/blob/master/examples/browser/basic-efficient.html)
 
 ### Building Static Files
 To build the compiled static files just execute the following:
diff --git a/examples/browser/basic-efficient.html b/examples/browser/basic-efficient.html
index 3a063c6e..8b720a26 100644
--- a/examples/browser/basic-efficient.html
+++ b/examples/browser/basic-efficient.html
@@ -7,9 +7,7 @@
     <input type="file" id="uploader" multiple>
     <script type="module">
 
-      // This is a basic example more efficient than "basic.html".
-      // In this example we create a worker once, and this worker is re-used
-      // every time the user uploads a new file.  
+      // A worker is created once and used every time a user uploads a new file.  
       const worker = await Tesseract.createWorker("eng", 1, {
           corePath: '../../node_modules/tesseract.js-core',
           workerPath: "/dist/worker.min.js",
